diff --git a/libstdc++-v3/doc/html/manual/using_exceptions.html b/libstdc++-v3/doc/html/manual/using_exceptions.html
index 706b27e1479..eb4501b1f6b 100644
--- a/libstdc++-v3/doc/html/manual/using_exceptions.html
+++ b/libstdc++-v3/doc/html/manual/using_exceptions.html
@@ -158,7 +158,7 @@ exception neutrality and exception safety.
   </dd></dl></div></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="intro.using.exception.no"></a>Doing without</h3></div></div></div><p>
     C++ is a language that strives to be as efficient as is possible
     in delivering features. As such, considerable care is used by both
-    language implementer and designers to make sure unused features
+    language implementer and designers to make sure unused features do
     not impose hidden or unexpected costs. The GNU system tries to be
     as flexible and as configurable as possible. So, it should come as
     no surprise that GNU C++ provides an optional language extension,
@@ -166,7 +166,7 @@ exception neutrality and exception safety.
     implicitly generated magic necessary to
     support <code class="literal">try</code> and <code class="literal">catch</code> blocks
     and thrown objects. (Language support
-    for <code class="literal">-fno-exceptions</code> is documented in the GCC 
+    for <code class="literal">-fno-exceptions</code> is documented in the GCC
     <a class="link" href="https://gcc.gnu.org/onlinedocs/gcc/Code-Gen-Options.html#Code-Gen-Options" target="_top">manual</a>.)
   </p><p>Before detailing the library support
     for <code class="literal">-fno-exceptions</code>, first a passing note on
@@ -179,7 +179,7 @@ exception neutrality and exception safety.
     uses <code class="literal">try</code> or <code class="literal">catch</code>, you
     shouldn't use <code class="literal">-fno-exceptions</code>.
   </p><p>
-    And what it to be gained, tinkering in the back alleys with a
+    And what is to be gained, tinkering in the back alleys with a
     language like this? Exception handling overhead can be measured
     in the size of the executable binary, and varies with the
     capabilities of the underlying operating system and specific
@@ -216,15 +216,15 @@ exception neutrality and exception safety.
 # define __throw_exception_again
 #endif
 </pre><p>
-  In addition, for every object derived from
+  In addition, for most of the classes derived from
   class <code class="classname">exception</code>, there exists a corresponding
   function with C language linkage. An example:
 </p><pre class="programlisting">
 #if __cpp_exceptions
-  void __throw_bad_exception(void)
+  void __throw_bad_exception()
   { throw bad_exception(); }
 #else
-  void __throw_bad_exception(void)
+  void __throw_bad_exception()
   { abort(); }
 #endif
 </pre><p>
diff --git a/libstdc++-v3/doc/xml/manual/using_exceptions.xml b/libstdc++-v3/doc/xml/manual/using_exceptions.xml
index ab42c809939..ac2ba9dffd4 100644
--- a/libstdc++-v3/doc/xml/manual/using_exceptions.xml
+++ b/libstdc++-v3/doc/xml/manual/using_exceptions.xml
@@ -274,7 +274,7 @@ exception neutrality and exception safety.
   <para>
     C++ is a language that strives to be as efficient as is possible
     in delivering features. As such, considerable care is used by both
-    language implementer and designers to make sure unused features
+    language implementer and designers to make sure unused features do
     not impose hidden or unexpected costs. The GNU system tries to be
     as flexible and as configurable as possible. So, it should come as
     no surprise that GNU C++ provides an optional language extension,
@@ -282,7 +282,7 @@ exception neutrality and exception safety.
     implicitly generated magic necessary to
     support <literal>try</literal> and <literal>catch</literal> blocks
     and thrown objects. (Language support
-    for <literal>-fno-exceptions</literal> is documented in the GCC 
+    for <literal>-fno-exceptions</literal> is documented in the GCC
     <link xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="https://gcc.gnu.org/onlinedocs/gcc/Code-Gen-Options.html#Code-Gen-Options">manual</link>.)
   </para>
 
@@ -299,7 +299,7 @@ exception neutrality and exception safety.
   </para>
 
   <para>
-    And what it to be gained, tinkering in the back alleys with a
+    And what is to be gained, tinkering in the back alleys with a
     language like this? Exception handling overhead can be measured
     in the size of the executable binary, and varies with the
     capabilities of the underlying operating system and specific
@@ -344,17 +344,17 @@ exception neutrality and exception safety.
 </programlisting>
 
 <para>
-  In addition, for every object derived from
+  In addition, for most of the classes derived from
   class <classname>exception</classname>, there exists a corresponding
   function with C language linkage. An example:
 </para>
 
 <programlisting>
 #if __cpp_exceptions
-  void __throw_bad_exception(void)
+  void __throw_bad_exception()
   { throw bad_exception(); }
 #else
-  void __throw_bad_exception(void)
+  void __throw_bad_exception()
   { abort(); }
 #endif
 </programlisting>